X2SYS_PUT(1)

NAME
x2sys_put - Update x2sys track data bases

SYNOPSIS
x2sys_put [ info.tbf ] -TTAG [ -D ] [ -F ] [ -V ]

DESCRIPTION
x2sys_put accepts a track bin-index file created by x2sys_binlist and adds this information about the data tracks to the relevant data base. You may chose to overwrite existing data with new information for older tracks (-F) and even completely remove information for certain tracks (-D). The x2sys TAG must match the tag encoded in the info.tbf file. To inquire about tracks in the data base, use x2sys_get.

-T  Specify the x2sys TAG which tracks the attributes of this data type.

OPTIONS
No space between the option flag and the associated arguments.

info.tbf
    Name of a single track bin file. If not given, stdin will be read.

-D  Delete all tracks found in the track bin file [Default will try to add them as new track entries].

-F  Replace any existing database information for these tracks with the new information in the track bin file [Default refuses to process tracks already in the database].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To add the information stored in the track bin-index file latest.tbf to the track data bases associated with the tag MGD77, and replace any exiting information for these tracks, try

x2sys_put latest.tbf -F -V -T MGD77

X2SYS DATABASES
The x2sys_put utility adds new information to the x2sys data bases. These consists of two files: The first file contains a listing of all the tracks that have been added to the system; it is named TAG_tracks.d and is in ASCII format. The second file is named TAG_index.b and is in native binary format. It contains information on which tracks cross each of the bins, and what data sets were observed while crossing the bin. The bins are defined by the -R and -I options passed to x2sys_init when the TAG was first initiated. Both data base files are stored in the $X2SYS_HOME/TAG directory. Do not attempt to edit these files by hand.

SEE ALSO
x2sys_binlist(1), x2sys_get(1)